Closed Bug 1153133 Opened 5 years ago Closed 5 years ago

Mp3 sample not playing on Ubuntu http://goo.gl/le1tSu

Categories

(Core :: Audio/Video, defect)

38 Branch
x86_64
Linux
defect
Not set

Tracking

()

RESOLVED WONTFIX
Tracking Status
firefox38 + wontfix

People

(Reporter: VarCat, Unassigned)

References

Details

(Keywords: regression)

Environment:

FF 38.0b3
Build Id: 20150409144858

STR:

1. On Firefox  open http://goo.gl/le1tSu 

Issue:
"Video can't be played because the file is corrupt." error is prompted

Note:
This bug is reproducible only on Ubuntu.
Under FF 34 this sample was playing successfully, under FF 38.0b2 this sample was asking for a plugin( eg: VLC Multimedia) and with the help of the plugin the sample was playing, so this bug is definitely an regression.
Fixes that might be related with this bug:

https://bugzilla.mozilla.org/show_bug.cgi?id=1151360
https://bugzilla.mozilla.org/show_bug.cgi?id=1100210
[Tracking Requested - why for this release]: This needs dev assessment of how much it may impact mp3 playback, and I think we'd want this fixed in Firefox 38.
(In reply to Catalin Varga [QA][:VarCat] from comment #0)
> Environment:
> 
> FF 38.0b3
> Build Id: 20150409144858
> 
> STR:
> 
> 1. On Firefox  open http://goo.gl/le1tSu 
> 
> Issue:
> "Video can't be played because the file is corrupt." error is prompted
> 
> Note:
> This bug is reproducible only on Ubuntu.
> Under FF 34 this sample was playing successfully, under FF 38.0b2 this
> sample was asking for a plugin( eg: VLC Multimedia) and with the help of the
> plugin the sample was playing, so this bug is definitely an regression.
> Fixes that might be related with this bug:
> 
> https://bugzilla.mozilla.org/show_bug.cgi?id=1151360
> https://bugzilla.mozilla.org/show_bug.cgi?id=1100210

Those bugs are about the MP4 container.. When playing a MP3 file we never use the MP4Reader, that code path is never reached.
Tracking as it is a potential important regression.

Jean-Yves, do you know who could help?
Flags: needinfo?(jyavenard)
Flags: needinfo?(karlt)
Flags: needinfo?(jyavenard)
Flags: needinfo?(giles)
Test file is an .mp3 (audio/mpeg). The error message is about video because our video document loads direct audio/mpeg resources into a <video> element just like it does video/mp4 files, etc.

Nothing else has changed recently. This sounds like an issue with the test system's gstreamer plugins. In a terminal try:

gst-inspect-0.10 | grep mp3

or

gst-inspect | grep mp3

Do you see a flump3dec or another decoder? Are the gstreamer0.10-fluendo-mp3, gstreamer1.0-plugins-ugly, or gstreamer1.0-plugins-libav packages installed? If not, the system is just missing mp3 support. If it only has flump3dec, this is bug 981869. If it only has gstreamer1.0-plugins-libav, this is bug 947287.
Flags: needinfo?(giles) → needinfo?(catalin.varga)
gst-inspect-0.10 | grep mp3 returned only flump3dec decoder.
Flags: needinfo?(catalin.varga)
Blocks: 981869
Flags: needinfo?(karlt)
flump3dec is blacklisted:

http://mxr.mozilla.org/mozilla-central/source/dom/media/gstreamer/GStreamerFormatHelper.cpp#68
Status: NEW → RESOLVED
Closed: 5 years ago
Resolution: --- → WONTFIX
Sylvestre - can we untrack this?
Flags: needinfo?(sledru)
Yep, the wontfix status will be enough!
Flags: needinfo?(sledru)
You need to log in before you can comment on or make changes to this bug.